#ifndef ZLS_PNGIO_H
#define ZLS_PNGIO_H

#include <zls.h>
#include <png.h>

//===========================================================
//
// Portable Network Graphics (PNG) File IO Routines
//
//===========================================================

int zls_Write_png8    (char * aFile, UInt8  * img, TIFFCTab * outTIFFCTab, int nxOut, int nyOut );   // 8 bit tiff colour table, use gray ctab for grayscale
int zls_Write_pngRGB  (char * aFile, UInt8  * imgR, UInt8   * imgG,  UInt8   * imgB, int nxOut, int nyOut ); // normal 8 bit per channel RGB, no ctab

#endif ZLS_PNGIO_H
