#ifndef ZLS_CONF_H
#define ZLS_CONF_H
#include "zls.h"

//
//========================================
//

int zlsio_PrintMethodConfiguration ( FILE * f , char * prefix );
int zlsio_PrintGeomConfiguration   ( FILE * f , char * prefix );
int zlsio_PrintOSConfiguration     ( FILE * f , char * prefix );

int zlsio_PrintConfiguration       ( FILE * f , char * prefix);

//
//========================================
//
int zlsio_SetUpPPMFromConfigFile       (char * confFile );
//
int zlsio_SetUpSimLimitsFromConfigFile (char * confFile );
int zlsio_SetUpIOFromConfigFile        (char * confFile );
int zlsio_InitFiducialScalesConfigFile (char * confFile );
int zlsio_SetUpPhysicsFromConfigFile   (char * confFile );
int zlsio_SetUpLevelsFromConfigFile    (char * confFile );
int zlsio_SetUpZonesFromConfigFile     (char * confFile );

#endif ZLS_CONF_H
