#ifndef ZLS_INITIALIZE
#define ZLS_INITIALIZE
#include "zls.h"

void zls_Usage(void);

//============================================================
// Call before using any zls routines, sets up MPI as well if
// needed. Uses args to pass command line args from main()
//============================================================
int zls_Initialize( int argc, char *argv[] );

//============================================================
// Call before ending any zls programme, dismantles MPI as 
// well if needed.
//============================================================
int zls_Finalize( void ); 

#endif ZLS_INITIALIZE
